#####1 TMM, UQ, RLE fail
params = 500
zoom = 5
genesize = 1000
mat1 = sapply(params, function(x) {
  fiveprand = rnorm(x)
  threeprand = rnorm(genesize-x)
  fivep = rep(1000, x)+floor((fiveprand-min(fiveprand))*zoom)
  threep = rep(1000, genesize-x)+floor((threeprand-min(threeprand))*zoom)
  c("chr1", 1, genesize+2, 0, fivep, threep, 0)  
})
write.table(t(mat1), file="A1.cur", append=F, sep='\t', quote=F, row.names=F, col.names=F)
mat2 = sapply(params, function(x) {
  fiveprand = rnorm(x)
  threeprand = rnorm(genesize-x)
  fivep = rep(1000, x)+floor((fiveprand-min(fiveprand))*zoom)
  threep = rep(1000, genesize-x)+floor((threeprand-min(threeprand))*zoom)
  c("chr1", 1, genesize+2, 0, fivep, threep, 0) 
})
write.table(t(mat2), file="A2.cur", append=F, sep='\t', quote=F, row.names=F, col.names=F)
mat3 = sapply(params, function(x) {
  fiveprand = rnorm(x)
  threeprand = rnorm(genesize-x)
  fivep = rep(1000, x)+floor((fiveprand-min(fiveprand))*zoom)
  threep = rep(1000, genesize-x)+floor((threeprand-min(threeprand))*zoom)
  c("chr1", 1, genesize+2, 0, fivep, threep, 0)  
})
write.table(t(mat3), file="A3.cur", append=F, sep='\t', quote=F, row.names=F, col.names=F)
matplot(cbind(mat1[-c(1:3),],mat2[-c(1:3),],mat3[-c(1:3),]), type='l')

mat1 = sapply(params, function(x) {
  fiveprand = rnorm(x)
  threeprand = rnorm(genesize-x)
  fivep = rep(100, x)+floor((fiveprand-min(fiveprand))*zoom)
  threep = rep(100, genesize-x)+floor((threeprand-min(threeprand))*zoom)
  c("chr1", 1, genesize+2, 0, fivep, threep, 0)  
})
write.table(t(mat1), file="B1.cur", append=F, sep='\t', quote=F, row.names=F, col.names=F)
mat2 = sapply(params, function(x) {
  fiveprand = rnorm(x)
  threeprand = rnorm(genesize-x)
  fivep = rep(100, x)+floor((fiveprand-min(fiveprand))*zoom)
  threep = rep(100, genesize-x)+floor((threeprand-min(threeprand))*zoom)
  c("chr1", 1, genesize+2, 0, fivep, threep, 0)  
})
write.table(t(mat2), file="B2.cur", append=F, sep='\t', quote=F, row.names=F, col.names=F)
mat3 = sapply(params, function(x) {
  fiveprand = rnorm(x)
  threeprand = rnorm(genesize-x)
  fivep = rep(100, x)+floor((fiveprand-min(fiveprand))*zoom)
  threep = rep(100, genesize-x)+floor((threeprand-min(threeprand))*zoom)
  c("chr1", 1, genesize+2, 0, fivep, threep, 0)  
})
write.table(t(mat3), file="B3.cur", append=F, sep='\t', quote=F, row.names=F, col.names=F)
matplot(cbind(mat1[-c(1:3),],mat2[-c(1:3),],mat3[-c(1:3),]), type='l')


#####2 DESeq, RLE, MED fail
params = 500
zoom = 5
genesize = 1000
mat1 = sapply(params, function(x) {
  fiveprand = rnorm(x)
  threeprand = rnorm(genesize-x)
  fivep = rep(1000, x)+floor((fiveprand-min(fiveprand))*zoom)
  threep = rep(1, genesize-x)+floor((threeprand-min(threeprand))*zoom)
  c("chr1", 1, genesize+2, 0, fivep, threep, 0)  
})
write.table(t(mat1), file="A1.cur", append=T, sep='\t', quote=F, row.names=F, col.names=F)
mat2 = sapply(params, function(x) {
  fiveprand = rnorm(x)
  threeprand = rnorm(genesize-x)
  fivep = rep(1000, x)+floor((fiveprand-min(fiveprand))*zoom)
  threep = rep(1, genesize-x)+floor((threeprand-min(threeprand))*zoom+50)
  c("chr1", 1, genesize+2, 0, fivep, threep, 0)  
})
write.table(t(mat2), file="A2.cur", append=T, sep='\t', quote=F, row.names=F, col.names=F)
mat3 = sapply(params, function(x) {
  fiveprand = rnorm(x)
  threeprand = rnorm(genesize-x)
  fivep = rep(1000, x)+floor((fiveprand-min(fiveprand))*zoom)
  threep = rep(1, genesize-x)+floor((threeprand-min(threeprand))*zoom)
  c("chr1", 1, genesize+2, 0, fivep, threep, 0)  
})
write.table(t(mat3), file="A3.cur", append=T, sep='\t', quote=F, row.names=F, col.names=F)
matplot(cbind(mat1[-c(1:3),],mat2[-c(1:3),],mat3[-c(1:3),]), type='l')
params = 500
mat1 = sapply(params, function(x) {
  fiveprand = rnorm(x)
  threeprand = rnorm(genesize-x)
  fivep = rep(1000, x)+floor((fiveprand-min(fiveprand))*zoom)
  threep = rep(1, genesize-x)+floor((threeprand-min(threeprand))*zoom)
  c("chr1", 1, genesize+2, 0, fivep, threep, 0)  
})
write.table(t(mat1), file="B1.cur", append=T, sep='\t', quote=F, row.names=F, col.names=F)
mat2 = sapply(params, function(x) {
  fiveprand = rnorm(x)
  threeprand = rnorm(genesize-x)
  fivep = rep(1000, x)+floor((fiveprand-min(fiveprand))*zoom)
  threep = rep(1, genesize-x)+floor((threeprand-min(threeprand))*zoom)
  c("chr1", 1, genesize+2, 0, fivep, threep, 0)  
})
write.table(t(mat2), file="B2.cur", append=T, sep='\t', quote=F, row.names=F, col.names=F)
mat3 = sapply(params, function(x) {
  fiveprand = rnorm(x)
  threeprand = rnorm(genesize-x)
  fivep = rep(1000, x)+floor((fiveprand-min(fiveprand))*zoom)
  threep = rep(1, genesize-x)+floor((threeprand-min(threeprand))*zoom)
  c("chr1", 1, genesize+2, 0, fivep, threep, 0)  
})
write.table(t(mat3), file="B3.cur", append=T, sep='\t', quote=F, row.names=F, col.names=F)
matplot(cbind(mat1[-c(1:3),],mat2[-c(1:3),],mat3[-c(1:3),]), type='l')


#####3 all fail, except for DESeq
params = 600
zoom = 5
genesize = 1000
mat1 = sapply(params, function(x) {
  fiveprand = rnorm(x)
  threeprand = rnorm(genesize-x)
  fivep = rep(1000, x)+floor((fiveprand-min(fiveprand))*zoom)
  threep = rep(1, genesize-x)+floor((threeprand-min(threeprand))*zoom)
  c("chr1", 1, genesize+2, 0, fivep, threep, 0)  
})
write.table(t(mat1), file="A1.cur", append=T, sep='\t', quote=F, row.names=F, col.names=F)
mat2 = sapply(params, function(x) {
  fiveprand = rnorm(x)
  threeprand = rnorm(genesize-x)
  fivep = rep(1000, x)+floor((fiveprand-min(fiveprand))*zoom)
  threep = rep(1, genesize-x)+floor((threeprand-min(threeprand))*zoom)
  c("chr1", 1, genesize+2, 0, fivep, threep, 0)  
})
write.table(t(mat2), file="A2.cur", append=T, sep='\t', quote=F, row.names=F, col.names=F)
mat3 = sapply(params, function(x) {
  fiveprand = rnorm(x)
  threeprand = rnorm(genesize-x)
  fivep = rep(1000, x)+floor((fiveprand-min(fiveprand))*zoom)
  threep = rep(1, genesize-x)+floor((threeprand-min(threeprand))*zoom)
  c("chr1", 1, genesize+2, 0, fivep, threep, 0)  
})
write.table(t(mat3), file="A3.cur", append=T, sep='\t', quote=F, row.names=F, col.names=F)
matplot(cbind(mat1[-c(1:3),],mat2[-c(1:3),],mat3[-c(1:3),]), type='l')
params = 400
mat1 = sapply(params, function(x) {
  fiveprand = rnorm(x)
  threeprand = rnorm(genesize-x)
  fivep = rep(1000, x)+floor((fiveprand-min(fiveprand))*zoom)
  threep = rep(1, genesize-x)+floor((threeprand-min(threeprand))*zoom)
  c("chr1", 1, genesize+2, 0, fivep, threep, 0)  
})
write.table(t(mat1), file="B1.cur", append=T, sep='\t', quote=F, row.names=F, col.names=F)
mat2 = sapply(params, function(x) {
  fiveprand = rnorm(x)
  threeprand = rnorm(genesize-x)
  fivep = rep(1000, x)+floor((fiveprand-min(fiveprand))*zoom)
  threep = rep(1, genesize-x)+floor((threeprand-min(threeprand))*zoom)
  c("chr1", 1, genesize+2, 0, fivep, threep, 0)  
})
write.table(t(mat2), file="B2.cur", append=T, sep='\t', quote=F, row.names=F, col.names=F)
mat3 = sapply(params, function(x) {
  fiveprand = rnorm(x)
  threeprand = rnorm(genesize-x)
  fivep = rep(1000, x)+floor((fiveprand-min(fiveprand))*zoom)
  threep = rep(1, genesize-x)+floor((threeprand-min(threeprand))*zoom)
  c("chr1", 1, genesize+2, 0, fivep, threep, 0)  
})
write.table(t(mat3), file="B3.cur", append=T, sep='\t', quote=F, row.names=F, col.names=F)
matplot(cbind(mat1[-c(1:3),],mat2[-c(1:3),],mat3[-c(1:3),]), type='l')


#####4 all fail
params = 600
zoom = 5
genesize = 1000
mat1 = sapply(params, function(x) {
  fiveprand = rnorm(x)
  threeprand = rnorm(genesize-x)
  fivep = rep(1000, x)+floor((fiveprand-min(fiveprand))*zoom)
  threep = rep(1, genesize-x)+floor((threeprand-min(threeprand))*zoom)
  c("chr1", 1, genesize+2, 0, fivep, threep, 0)	
})
write.table(t(mat1), file="A1.cur", append=T, sep='\t', quote=F, row.names=F, col.names=F)
mat2 = sapply(params, function(x) {
  fiveprand = rnorm(x)
  threeprand = rnorm(genesize-x)
  fivep = rep(1000, x)+floor((fiveprand-min(fiveprand))*zoom)
  threep = rep(1, genesize-x)+floor((threeprand-min(threeprand))*zoom)
  c("chr1", 1, genesize+2, 0, fivep, threep, 0)  
})
write.table(t(mat2), file="A2.cur", append=T, sep='\t', quote=F, row.names=F, col.names=F)
mat3 = sapply(params, function(x) {
  fiveprand = rnorm(x)
  threeprand = rnorm(genesize-x)
  fivep = rep(1000, x)+floor((fiveprand-min(fiveprand))*zoom)
  threep = rep(1, genesize-x)+floor((threeprand-min(threeprand))*zoom)
  c("chr1", 1, genesize+2, 0, fivep, threep, 0)  
})
write.table(t(mat3), file="A3.cur", append=T, sep='\t', quote=F, row.names=F, col.names=F)
matplot(cbind(mat1[-c(1:3),],mat2[-c(1:3),],mat3[-c(1:3),]), type='l')

mat1 = sapply(params, function(x) {
  fiveprand = rnorm(x)
  threeprand = rnorm(genesize-x)
  fivep = rep(1, x)+floor((fiveprand-min(fiveprand))*zoom)
  threep = rep(1000, genesize-x)+floor((threeprand-min(threeprand))*zoom)
  c("chr1", 1, genesize+2, 0, fivep, threep, 0)  
})
write.table(t(mat1), file="B1.cur", append=T, sep='\t', quote=F, row.names=F, col.names=F)
mat2 = sapply(params, function(x) {
  fiveprand = rnorm(x)
  threeprand = rnorm(genesize-x)
  fivep = rep(1, x)+floor((fiveprand-min(fiveprand))*zoom)
  threep = rep(1000, genesize-x)+floor((threeprand-min(threeprand))*zoom)
  c("chr1", 1, genesize+2, 0, fivep, threep, 0) 
})
write.table(t(mat2), file="B2.cur", append=T, sep='\t', quote=F, row.names=F, col.names=F)
mat3 = sapply(params, function(x) {
  fiveprand = rnorm(x)
  threeprand = rnorm(genesize-x)
  fivep = rep(1, x)+floor((fiveprand-min(fiveprand))*zoom)
  threep = rep(1000, genesize-x)+floor((threeprand-min(threeprand))*zoom)
  c("chr1", 1, genesize+2, 0, fivep, threep, 0)  
})
write.table(t(mat3), file="B3.cur", append=T, sep='\t', quote=F, row.names=F, col.names=F)
matplot(cbind(mat1[-c(1:3),],mat2[-c(1:3),],mat3[-c(1:3),]), type='l')

